Index: mythtv/programs/mythfrontend/playbackbox.cpp
===================================================================
--- mythtv/programs/mythfrontend/playbackbox.cpp	(revision 19887)
+++ mythtv/programs/mythfrontend/playbackbox.cpp	(working copy)
@@ -20,6 +20,7 @@
 #include "mythdirs.h"
 #include "mythcontext.h"
 #include "mythdbcon.h"
+#include "mythdb.h"
 #include "mythverbose.h"
 #include "programinfo.h"
 #include "scheduledrecording.h"
@@ -44,6 +45,9 @@
 #define LOC QString("PlaybackBox: ")
 #define LOC_ERR QString("PlaybackBox Error: ")
 
+QString customExportFile = NULL;
+QString customExportDir = NULL;
+
 #define REC_CAN_BE_DELETED(rec) \
     ((((rec)->programflags & FL_INUSEPLAYING) == 0) && \
      ((((rec)->programflags & FL_INUSERECORDING) == 0) || \
@@ -1815,6 +1819,316 @@
     RemoteStopRecording(rec);
 }
 
+void PlaybackBox::mvexport(ProgramInfo *rec)
+{
+
+    // User Rating Adjustment
+    QString exportRating = QString::number((int)((rec->stars * 10.0) + 0.5));
+
+    // Stuff necessary to perform the copy command
+
+    QString copyFrom = rec->GetPlaybackURL(false, true);
+    QString baseMVDir = gContext->GetSetting("VideoStartupDir");
+    QString MVFileFormat;
+    QString MVDirFormat;
+    QString copyToDir;
+    QString copyToFile;
+    QString extension;
+
+    // Check the original extension
+
+    QRegExp rx(".*\\.(\\w+)$");
+    int pos = rx.indexIn(copyFrom);
+    if (pos > -1)
+    {
+        extension = rx.cap(1);
+    }
+    else
+    {
+        extension = "";
+    }
+
+    // If a custom export string is used, use it.
+    // Also replace %VARIABLES% with actual values. 
+
+    if (customExportFile.isEmpty())
+    {
+        QString defaultDir = gContext->GetSetting("TVExportDirFormat",
+                              "Television/%TITLE%/");
+        QString defaultFile = gContext->GetSetting("TVExportFileFormat", 
+                              "%TITLE% - %SUBTITLE%");
+        MVDirFormat = replaceExportVariables(rec, defaultDir);
+        MVFileFormat = replaceExportVariables(rec, defaultFile);
+    }
+    else
+    {
+        MVDirFormat = replaceExportVariables(rec, customExportDir);
+        MVFileFormat = replaceExportVariables(rec, customExportFile);
+    }
+
+    copyToDir = QString("%1/%2/").arg(baseMVDir).arg(MVDirFormat);
+    copyToFile = QString("%1/%2.%3").arg(copyToDir)
+                         .arg(MVFileFormat).arg(extension);
+
+
+    // File and Directory Definitions
+
+    QFile fromFile(copyFrom);
+    QDir toDir(copyToDir);
+    QFile toFile(copyToFile);
+
+    if (!toDir.exists())
+    {
+        // Attempt to create path to export point.
+        toDir.mkpath(copyToDir);
+        toDir.mkdir(copyToDir);
+        if (!toDir.exists())
+        {
+            VERBOSE(VB_IMPORTANT, QString("Unable to create directory %1! "
+                                          "Please ensure the preceding path "
+                                          "exists and is writeable.").arg(copyToDir));    
+            return;
+        }
+    }
+
+    // Perform the actual copy. 
+
+    long long int bytesCopied = copy(toFile,fromFile);
+
+    if (bytesCopied != -1)
+    {
+        // Add File into videometadata
+
+        MSqlQuery query(MSqlQuery::InitCon());
+
+        query.prepare("INSERT INTO videometadata (title,plot,year,category,"
+                          "userrating,length,filename,showlevel,inetref, "
+                          "browse) VALUES (:TITLE, :PLOT, :YEAR, :CATEGORY, "
+                          ":USERRATING, :LENGTH, :FILENAME, :SHOWLEVEL, "
+                          ":INETREF, :BROWSE)");
+
+        query.bindValue(":TITLE", MVFileFormat);
+        query.bindValue(":PLOT", rec->description);
+        query.bindValue(":YEAR", rec->originalAirDate.toString("yyyy"));
+        query.bindValue(":CATEGORY", rec->category);
+        query.bindValue(":USERRATING", exportRating);
+        query.bindValue(":LENGTH", rec->lenMins);
+        query.bindValue(":FILENAME", copyToFile);
+        query.bindValue(":SHOWLEVEL", 1);
+        query.bindValue(":INETREF", 0);
+        query.bindValue(":BROWSE", 1);
+
+        if (!query.exec() || !query.isActive())
+        {
+            MythDB::DBError("video metadata update", query);
+            return;
+        }
+
+        // Move recordedmarkup for file into videometadata
+
+        MSqlQuery markup(MSqlQuery::InitCon());
+
+        markup.prepare("INSERT INTO filemarkup (filename,mark,offset,type) "
+                      "SELECT :FILENAME, mark, data, type from "
+                      "recordedmarkup where chanid=:CHANID and starttime=:STARTTIME");
+
+        markup.bindValue(":FILENAME", copyToFile);
+        markup.bindValue(":CHANID", rec->chanid);
+        markup.bindValue(":STARTTIME", rec->recstartts);
+
+        if (!markup.exec() || !markup.isActive())
+        {
+            MythDB::DBError("video metadata update", markup);
+            return;
+        }
+
+        // Copy and set preview image as screenshot
+        // If Banners, cover files, or fanart exist with
+        // seriesID as the name, use them automatically.
+
+        QString screenshotFile = getPreviewImage(rec);
+        QString MVScreenshotDir = gContext->GetSetting("VideoScreenshotDir");
+        QString MVScreenshotFile = QString("%1/%2.png").arg(MVScreenshotDir).arg(MVFileFormat);
+
+        QString MVBannerDir = gContext->GetSetting("VideoBannerDir");
+        QString bannerFile = testImageFiles(MVBannerDir, rec->seriesid, rec->title);
+        if (!bannerFile.isNull()) 
+            VERBOSE(VB_IMPORTANT, QString("Found Banner File Match: %1").arg(bannerFile));
+
+        QString MVFanartDir = gContext->GetSetting("VideoFanartDir");
+        QString fanartFile = testImageFiles(MVFanartDir, rec->seriesid, rec->title);
+        if (!fanartFile.isNull()) 
+            VERBOSE(VB_IMPORTANT, QString("Found Fanart File Match: %1").arg(fanartFile));
+
+        QString MVCoverDir = gContext->GetSetting("VideoArtworkDir");
+        QString coverFile = testImageFiles(MVCoverDir, rec->seriesid, rec->title);
+        if (!coverFile.isNull()) 
+            VERBOSE(VB_IMPORTANT, QString("Found Cover File Match: %1").arg(coverFile));
+
+        VERBOSE(VB_IMPORTANT, QString("Copying %1 to %2").arg(screenshotFile).arg(MVScreenshotFile)); 
+
+        QFile fromScreenshot(screenshotFile);
+        QFile toScreenshot(MVScreenshotFile);
+        long long int screenshotBytesCopied;
+        
+        if (!screenshotFile.isNull())
+            screenshotBytesCopied = copy(toScreenshot,fromScreenshot);
+
+        if (!bannerFile.isNull() || !fanartFile.isNull() || !coverFile.isNull())
+        {
+            MSqlQuery images(MSqlQuery::InitCon());
+
+            images.prepare("UPDATE videometadata set screenshot=:SCREENSHOTFILE, "
+                           "banner=:BANNERFILE, fanart=:FANARTFILE, coverfile=:COVERFILE "
+                           "where filename=:FILENAME");
+
+            images.bindValue(":SCREENSHOTFILE", MVScreenshotFile);
+            images.bindValue(":BANNERFILE", bannerFile);
+            images.bindValue(":FANARTFILE", fanartFile);
+            images.bindValue(":COVERFILE", coverFile);
+            images.bindValue(":FILENAME", copyToFile);
+
+            if (!images.exec() || !images.isActive())
+            {
+                MythDB::DBError("video metadata update", images);
+                 return;
+            }
+        }
+        else
+        {
+            VERBOSE(VB_IMPORTANT, QString("Copy succeeded, but no images "
+                    "were copied or found.").arg(screenshotBytesCopied));
+            return;
+        }
+        VERBOSE(VB_IMPORTANT, QString("Copy succeeded, %1 bytes copied.").arg(bytesCopied));
+    }
+    else
+    {
+        VERBOSE(VB_IMPORTANT, QString("Copy unsuccessful, check all permissions."));
+    }
+
+customExportDir.clear();
+customExportFile.clear();
+
+}
+
+QString PlaybackBox::testImageFiles(QString &testDirectory, QString &seriesID, 
+                                    QString &titleIn)
+{
+    QString foundFile;
+ 
+    // Attempts to match image file in specified directory.
+    // Falls back like this:
+    //
+    //     Pushing Daisies 5.png
+    //     PushingDaisies5.png
+    //     PushingDaisiesSeason5.png
+    //     Pushing Daisies Season 5 Episode 1.png
+    //     PuShinG DaisIES s05e01.png
+    //     etc. (you get it)   
+    //
+    // Or any permutation thereof including -,_, or . instead of space
+    // Then, match by seriesid (for future PBB grabber):
+    //
+    //     EP0012345.png
+    //
+    // Then, as a final fallback, match just title
+    //
+    //     Pushing Daisies.png (or Pushing_Daisies.png, etc.)
+    //
+    // All this allows for grabber to grab an image with format:
+    // 
+    //     Title SeasonNumber.ext or Title SeasonNum # Epnum #.ext
+    //     or SeriesID.ext or Title.ext (without caring about cases,
+    //     spaces, dashes, periods, or underscores)
+
+    QDir dir(testDirectory);
+    dir.setSorting(QDir::Name | QDir::Reversed | QDir::IgnoreCase);
+
+    QStringList entries = dir.entryList();
+
+    int regIndex = 0;
+    titleIn.replace(" ", "(?:\\s|-|_|\\.)?");
+    QString regs[] = {
+        QString("%1" // title
+            "(?:\\s|-|_|\\.)?" // optional separator
+            "(?:" // begin optional Season portion
+            "S(?:eason)?" // optional "S" or "Season"
+            "(?:\\s|-|_|\\.)?" // optional separator
+            ")?" // end optional Season portion
+            "[0-9]{1,3}" // number
+            "(?:" // begin optional Episode portion
+            "(?:\\s|-|_|\\.)?" // optional separator
+            "(?:x?" // optional "x"
+            "(?:\\s|-|_|\\.)?" // optional separator
+            "(?:E(?:pisode)?)?" // optional "E" or "Episode"
+            "(?:\\s|-|_|\\.)?)?" // optional separator
+            "[0-9]{1,3}" // number portion of optional Episode portion
+            ")?" // end optional Episode portion
+            "\\.(?:png|gif|jpg)" // file extension
+            ).arg(titleIn),
+        QString("%1\\.(?:png|jpg|gif)").arg(seriesID),
+        QString("%1\\.(?:png|jpg|gif)").arg(titleIn),
+        "" };  // This blank entry must exist, do not remove.
+ 
+    QString reg = regs[regIndex];
+    while ((!reg.isEmpty()) && (foundFile.isEmpty()))
+    {
+        QRegExp re(reg, Qt::CaseInsensitive);
+        for (QStringList::const_iterator it = entries.begin();
+            it != entries.end(); ++it)
+        {
+            if (re.exactMatch(*it))
+            {
+                foundFile = *it;
+                break;
+            }
+        }
+        reg = regs[++regIndex];
+    }
+
+    return QString("%1/%2").arg(testDirectory).arg(foundFile);
+}
+
+QString PlaybackBox::replaceExportVariables(ProgramInfo *rec, QString &repString)
+{
+    if (!repString.isEmpty())
+    {
+         repString.replace(QRegExp("%FILE%"), rec->GetRecordBasename(true));
+         repString.replace(QRegExp("%TITLE%"), rec->title);
+         repString.replace(QRegExp("%SUBTITLE%"), rec->subtitle);
+         repString.replace(QRegExp("%DESCRIPTION%"), rec->description);
+         repString.replace(QRegExp("%HOSTNAME%"), rec->hostname);
+         repString.replace(QRegExp("%CATEGORY%"), rec->category);
+         repString.replace(QRegExp("%RECGROUP%"), rec->recgroup);
+         repString.replace(QRegExp("%PLAYGROUP%"), rec->playgroup);
+         repString.replace(QRegExp("%ORIGAIRYEAR%"),
+                         rec->originalAirDate.toString("yyyy"));
+         repString.replace(QRegExp("%ORIGAIRDATE%"),
+                         rec->originalAirDate.toString("yyyyMMdd"));
+         repString.replace(QRegExp("%CALLSIGN%"), rec->chansign);
+         repString.replace(QRegExp("%CHANNAME%"), rec->channame);
+         repString.replace(QRegExp("%CHANID%"), rec->chanid);
+         repString.replace(QRegExp("%STARTTIME%"),
+                         rec->recstartts.toString("yyyyMMddhhmmss"));
+         repString.replace(QRegExp("%ENDTIME%"),
+                         rec->recendts.toString("yyyyMMddhhmmss"));
+         repString.replace(QRegExp("%STARTTIMEISO%"),
+                         rec->recstartts.toString(Qt::ISODate));
+         repString.replace(QRegExp("%ENDTIMEISO%"),
+                         rec->recendts.toString(Qt::ISODate));
+         repString.replace(QRegExp("%PROGSTART%"),
+                         rec->startts.toString("yyyyMMddhhmmss"));
+         repString.replace(QRegExp("%PROGEND%"),
+                         rec->endts.toString("yyyyMMddhhmmss"));
+         repString.replace(QRegExp("%PROGSTARTISO%"),
+                         rec->startts.toString(Qt::ISODate));
+         repString.replace(QRegExp("%PROGENDISO%"),
+                         rec->endts.toString(Qt::ISODate));
+    }
+    return repString;
+}
+
 bool PlaybackBox::doRemove(ProgramInfo *rec, bool forgetHistory,
                            bool forceMetadataDelete)
 {
@@ -1869,6 +2183,51 @@
         showActionPopup(pginfo);
 }
 
+void PlaybackBox::showExportPopup(ProgramInfo *program)
+{
+    if (m_popupMenu)
+        return;
+
+    QString label = tr("Are you sure you want to export:");
+
+    m_expItem = CurrentItem();
+    popupString(m_expItem, label);
+
+    m_popupMenu = new MythDialogBox(label, m_popupStack, "pbbmainmenupopup");
+
+    connect(m_popupMenu, SIGNAL(Exiting()), SLOT(popupClosed()));
+
+    if (m_popupMenu->Create())
+        m_popupStack->AddScreen(m_popupMenu);
+    else
+    {
+        delete m_popupMenu;
+        m_popupMenu = NULL;
+    }
+
+    m_popupMenu->SetReturnEvent(this, "slotmenu");
+
+    m_freeSpaceNeedsUpdate = true;
+    QString tmpmessage;
+    const char *tmpslot = NULL;
+
+    if (program->IsSameProgram(*program))
+        {
+        tmpmessage = tr("Yes, Export to MythVideo");
+        tmpslot = SLOT(doMVExport());
+        m_popupMenu->AddButton(tmpmessage, tmpslot);
+
+        tmpmessage = tr("Export with custom name/location");
+        tmpslot = SLOT(showCustomExportEditor());
+        m_popupMenu->AddButton(tmpmessage, tmpslot);
+
+        tmpmessage = tr("No, I don't want to Export");
+        tmpslot = SLOT(noExport());
+        m_popupMenu->AddButton(tmpmessage, tmpslot);
+        }
+}
+
+
 void PlaybackBox::doPIPPlay(void)
 {
     doPIPPlay(kPIPonTV);
@@ -2293,6 +2652,10 @@
         else
             m_popupMenu->AddButton(tr("Preserve this episode"),
                                             SLOT(togglePreserveEpisode()));
+
+        QString MVlocation = FindPluginName("mythvideo");
+        if (QFile(MVlocation).exists())
+            m_popupMenu->AddButton(tr("Export to MythVideo"), SLOT(askMVExport()));
     }
 }
 
@@ -2649,6 +3012,12 @@
     stop(pginfo);
 }
 
+void PlaybackBox::doMVExport()
+{
+    ProgramInfo *pginfo = CurrentItem();
+    mvexport(pginfo);
+}
+
 void PlaybackBox::showProgramDetails()
 {
    ProgramInfo *pginfo = CurrentItem();
@@ -2787,6 +3156,13 @@
     }
 }
 
+void PlaybackBox::askMVExport(ProgramInfo *pginfo)
+{
+    if (!pginfo)
+        pginfo = CurrentItem();
+    showExportPopup(pginfo);
+}
+
 void PlaybackBox::askDelete(ProgramInfo *pginfo)
 {
     if (!pginfo)
@@ -4021,6 +4397,42 @@
         m_recordingList->RemoveItem(item);
 }
 
+void PlaybackBox::showCustomExportEditor()
+{
+
+    MythScreenStack *mainStack = GetMythMainWindow()->GetMainStack();
+
+    CustomExportEdit *editExport = new CustomExportEdit(mainStack);
+
+    if (editExport->Create())
+    {
+        connect(editExport, SIGNAL(result(const QString &, const QString &)),
+                SLOT(startCustomExport(const QString &, const QString &)));
+        mainStack->AddScreen(editExport);
+    }
+    else
+        delete editExport;
+}
+
+void PlaybackBox::startCustomExport(const QString &newFile,
+                                    const QString &newDir)
+{
+    MythUIButtonListItem *item = m_recordingList->GetItemCurrent();
+
+    if (!item)
+        return;
+
+    ProgramInfo *pginfo = CurrentItem();
+
+    if (!pginfo)
+        return;
+
+    customExportFile = newFile;
+    customExportDir = newDir;
+
+    mvexport(pginfo);
+}
+
 void PlaybackBox::setRecGroup(QString newRecGroup)
 {
     ProgramInfo *tmpItem = CurrentItem();
@@ -4411,6 +4823,50 @@
     Close();
 }
 
+////////////////////////////////////////////////////////
+
+CustomExportEdit::CustomExportEdit(MythScreenStack *lparent)
+                : MythScreenType(lparent, "customexportedit")
+{
+    m_dirEdit = m_fileEdit = NULL;
+}
+
+bool CustomExportEdit::Create()
+{
+    if (!LoadWindowFromXML("recordings-ui.xml", "customexport", this))
+        return false;
+        
+    m_dirEdit = dynamic_cast<MythUITextEdit*>(GetChild("dir"));
+    m_fileEdit = dynamic_cast<MythUITextEdit*>(GetChild("file"));
+    MythUIButton *okButton = dynamic_cast<MythUIButton*>(GetChild("ok"));
+ 
+    if (!m_dirEdit || !m_fileEdit || !okButton)
+    {
+        VERBOSE(VB_IMPORTANT, "Window 'customexport' is missing required "
+                              "elements.");
+        return false;
+    }
+    
+    m_dirEdit->SetText(gContext->GetSetting("TVExportDirFormat"));
+    m_fileEdit->SetText(gContext->GetSetting("TVExportFileFormat"));
+
+    connect(okButton, SIGNAL(Clicked()), SLOT(ReturnExport()));
+     
+    if (!BuildFocusList())
+        VERBOSE(VB_IMPORTANT, "Failed to build a focuslist.");
+ 
+    return true;
+}
+
+void CustomExportEdit::ReturnExport()
+{
+    QString newExportDir = m_dirEdit->GetText();
+    QString newExportFile = m_fileEdit->GetText();
+
+    emit result(newExportFile, newExportDir);
+    Close();
+}
+
 //////////////////////////////////////////
 
 HelpPopup::HelpPopup(MythScreenStack *lparent)
Index: mythtv/programs/mythfrontend/playbackbox.h
===================================================================
--- mythtv/programs/mythfrontend/playbackbox.h	(revision 19887)
+++ mythtv/programs/mythfrontend/playbackbox.h	(working copy)
@@ -142,6 +142,7 @@
     void showRecGroupChanger();
     void showPlayGroupChanger();
     void showMetadataEditor();
+    void showCustomExportEditor();
     void showGroupFilter();
     void showRecGroupPasswordChanger();
     void showPlayFromPopup();
@@ -173,6 +174,8 @@
 
     void askStop();
     void doStop();
+    void askMVExport(ProgramInfo *pginfo = NULL);
+    void doMVExport();
 
     void doEditScheduled();
     void doAllowRerecord();
@@ -203,6 +206,7 @@
     void setPlayGroup(QString newPlayGroup);
 
     void saveRecMetadata(const QString &newTitle, const QString &newSubtitle);
+    void startCustomExport(const QString &newFile, const QString &newDir);
 
     void SetRecGroupPassword(const QString &newPasswd);
 
@@ -263,6 +267,10 @@
 
     bool play(ProgramInfo *rec, bool inPlaylist = false);
     void stop(ProgramInfo *);
+    void mvexport(ProgramInfo *);
+    QString testImageFiles(QString &testDirectory, 
+                           QString &seriesID, QString &titleIn);
+    QString replaceExportVariables(ProgramInfo *rec, QString &repString);
     void remove(ProgramInfo *);
     void showActions(ProgramInfo *);
     ProgramInfo *CurrentItem(void);
@@ -282,6 +290,7 @@
 
     bool doRemove(ProgramInfo *, bool forgetHistory, bool forceMetadataDelete);
     void showDeletePopup(ProgramInfo *, deletePopupType);
+    void showExportPopup(ProgramInfo *);
     void showActionPopup(ProgramInfo *program);
     void showFileNotFoundActionPopup(ProgramInfo *program);
     void popupString(ProgramInfo *program, QString &message);
@@ -379,6 +388,8 @@
     // Other state
     /// Program currently selected for deletion
     ProgramInfo *m_delItem;
+    /// Program currently selected for export
+    ProgramInfo *m_expItem;
     /// Program currently selected during an update
     ProgramInfo *m_currentItem;
     /// Group currently selected
@@ -519,6 +530,27 @@
     ProgramInfo *m_progInfo;
 };
 
+class CustomExportEdit : public MythScreenType
+{
+    Q_OBJECT
+
+  public:
+    CustomExportEdit(MythScreenStack *lparent);
+
+    bool Create(void);
+
+  signals:
+    void result(const QString &, const QString &);
+
+  protected slots:   
+    void ReturnExport(void);
+  
+  private:
+    MythUITextEdit     *m_dirEdit;
+    MythUITextEdit     *m_fileEdit; 
+    
+};
+
 class HelpPopup : public MythScreenType
 {
     Q_OBJECT
Index: mythplugins/mythvideo/mythvideo/globalsettings.cpp
===================================================================
--- mythplugins/mythvideo/mythvideo/globalsettings.cpp	(revision 19887)
+++ mythplugins/mythvideo/mythvideo/globalsettings.cpp	(working copy)
@@ -236,6 +246,29 @@
     return gc;
 }
 
+HostLineEdit *TVExportDirectoryFormat()
+{
+    HostLineEdit *gc = new HostLineEdit("TVExportDirFormat");
+    gc->setLabel(QObject::tr("TV Export Directory Format"));
+    gc->setValue(DEFAULT_TVEXPORTDIRFORMAT);
+    gc->setHelpText(QObject::tr("Directory format for recording export "
+                    "to MythVideo, using user job style variables. Directory "
+                    "is off of base MythVideo directory. Example: "
+                    "Television/%CATEGORY%/%TITLE%"));
+    return gc;
+}
+
+HostLineEdit *TVExportFileFormat()
+{
+    HostLineEdit *gc = new HostLineEdit("TVExportFileFormat");
+    gc->setLabel(QObject::tr("TV Export File Format"));
+    gc->setValue(DEFAULT_TVEXPORTFILEFORMAT);
+    gc->setHelpText(QObject::tr("File format for recording export "
+                    "to MythVideo, using user job style variables. Example: "
+                    "%TITLE% - %SUBTITLE% (%STARTTIMEISO%)"));
+    return gc;
+}
+
 HostLineEdit *VideoArtworkDirectory()
 {
     HostLineEdit *gc = new HostLineEdit("VideoArtworkDir");
@@ -709,6 +777,9 @@
     vman->addChild(SearchListingsCommand());
     vman->addChild(GetPostersCommand());
     vman->addChild(GetDataCommand());
+    vman->setLabel(QObject::tr("Video Export"));
+    vman->addChild(TVExportDirectoryFormat());   
+    vman->addChild(TVExportFileFormat());  
 
     VConfigPage page4(pages, false);
     page4->addChild(vman);
Index: mythplugins/mythvideo/mythvideo/globals.cpp
===================================================================
--- mythplugins/mythvideo/mythvideo/globals.cpp	(revision 19887)
+++ mythplugins/mythvideo/mythvideo/globals.cpp	(working copy)
@@ -25,6 +28,8 @@
 const QString JUMP_VIDEO_TREE = "Video Listings";
 const QString JUMP_VIDEO_GALLERY = "Video Gallery";
 const QString JUMP_VIDEO_DEFAULT = "MythVideo";
+const QString DEFAULT_TVEXPORTDIRFORMAT = "Television/%TITLE%";
+const QString DEFAULT_TVEXPORTFILEFORMAT = "%TITLE% - %SUBTITLE%";
 
 #ifdef Q_WS_MACX
 const QString DEFAULT_VIDEOSTARTUP_DIR = QDir::homePath() + "/Movies";
Index: mythplugins/mythvideo/mythvideo/globals.h
===================================================================
--- mythplugins/mythvideo/mythvideo/globals.h	(revision 19887)
+++ mythplugins/mythvideo/mythvideo/globals.h	(working copy)
@@ -25,5 +28,7 @@
 extern const QString JUMP_VIDEO_DEFAULT;
 
 extern const QString DEFAULT_VIDEOSTARTUP_DIR;
+extern const QString DEFAULT_TVEXPORTDIRFORMAT;
+extern const QString DEFAULT_TVEXPORTFILEFORMAT;
 
 #endif // GLOBALS_H_