Index: mythtv/themes/classic/recpriorities_settings.xml
===================================================================
--- mythtv/themes/classic/recpriorities_settings.xml	(wersja 22520)
+++ mythtv/themes/classic/recpriorities_settings.xml	(kopia robocza)
@@ -13,7 +13,7 @@
         <text lang="ES">Ajustar Prioridades de Grabación</text>
         <text lang="NL">Opnameprioriteiten Instellen</text>
         <text lang="RU">Установить приоритет записей</text>
-        <text lang="PL">Ustaw priorytet nagrywania</text>
+        <text lang="PL">Ustaw priorytety nagrywania</text>
         <text lang="HE">הגדרת קדימיות ההקלטות</text>
         <text lang="HU">Felvételi prioritások beállítása</text>
         <alttext>Recording Priorities</alttext>
@@ -73,7 +73,7 @@
         <type>TV_RECPRIORITIES_CUSTOM</type>
         <text>Custom Priority</text>
         <text lang="IT">Personalizzate</text>
-        <text lang="PL">Dostosuj priorytety</text>
+        <text lang="PL">Dostosowany priorytet</text>
         <text lang="HU">Egyéni prioritási szabályok</text>
         <alttext>Custom Priority</alttext>
         <description></description>
Index: mythtv/themes/classic/main_settings.xml
===================================================================
--- mythtv/themes/classic/main_settings.xml	(wersja 22520)
+++ mythtv/themes/classic/main_settings.xml	(kopia robocza)
@@ -59,6 +59,7 @@
         <text lang="FI">Kuvavelho</text>
         <text lang="DE">Bildschirm einrichten</text>
         <text lang="HU">Képernyő beállítás varázsló</text>
+        <text lang="PL">Kreator ustawień ekranu</text>
         <description>Compensate for TVs with overscan</description>
         <description lang="DE">Passen Sie das Bild an Ihren Fernseher an</description>
         <action>SCREENSETUPWIZARD</action>
@@ -134,7 +135,7 @@
         <text lang="SL">Glasbene nastavitve</text>
         <text lang="ET">Muusika sätted</text>
         <text lang="RU">Настройка музыки</text>
-        <text lang="PL">Konfiguracja Muzyki</text>
+        <text lang="PL">Konfiguracja muzyki</text>
         <text lang="HE">הגדרות מוסיקה</text>
         <text lang="HU">Zenei beállítások</text>
         <description>Configure playback and CD ripping</description>
@@ -496,7 +497,7 @@
         <text lang="RU">Настройка архива</text>
         <text lang="DA">Fil arkivering</text>
         <text lang="SL">Nastavitve arhiviranja</text>
-        <text lang="PL">Ustaw pliki archiwum</text>
+        <text lang="PL">Ustaw archiwizację</text>
         <text lang="HE">הגדרות ארכיון קבצים</text>
         <text lang="FI">Arkistointiasetukset</text>
         <text lang="DE">Archivieren</text>
Index: mythtv/themes/classic/tv_schedule.xml
===================================================================
--- mythtv/themes/classic/tv_schedule.xml	(wersja 22520)
+++ mythtv/themes/classic/tv_schedule.xml	(kopia robocza)
@@ -177,6 +177,7 @@
         <text>Recording Rules</text>
         <text lang="HU">Felvételi szabályok</text>
         <text lang="DE">Aufnahmeregeln</text>
+        <text lang="PL">Reguły nagrywania</text>
         <alttext>Manage Rules</alttext>
         <description>Edit or delete any recording rule</description>
         <description lang="DE">Bearbeiten/Löschen der Aufnahmeregeln</description>
@@ -225,7 +226,7 @@
         <text lang="ET">Salvestamisprioriteedid</text>
         <text lang="ES">Prioridades Grabación</text>
         <text lang="RU">Приоритеты записей</text>
-        <text lang="PL">Priorytet nagrywania</text>
+        <text lang="PL">Priorytety nagrywania</text>
         <text lang="HE">קדימויות ההקלטות</text>
         <text lang="HU">Felvételi prioritások</text>
         <alttext>Priorities</alttext>
Index: mythtv/themes/classic/mainmenu.xml
===================================================================
--- mythtv/themes/classic/mainmenu.xml	(wersja 22520)
+++ mythtv/themes/classic/mainmenu.xml	(kopia robocza)
@@ -206,7 +206,7 @@
         <text lang="PT">Navegação Web</text>
         <text lang="ES">Web</text>
         <text lang="NL">Internet</text>
-        <text lang="PL">Internet WWW</text>
+        <text lang="PL">Internet</text>
         <text lang="RU">WWW</text>
         <text lang="HU">Web</text>
         <action>PLUGIN mythbrowser</action>
Index: mythtv/themes/classic/tv_settings.xml
===================================================================
--- mythtv/themes/classic/tv_settings.xml	(wersja 22520)
+++ mythtv/themes/classic/tv_settings.xml	(kopia robocza)
@@ -75,6 +75,7 @@
         <text>Playback OSD</text>
         <text lang="DE">Wiedergabe-OSD</text>
         <text lang="HU">OSD</text>
+        <text lang="PL">Menu ekranowe odtwarzania</text>
         <description>Theme and settings for OSD</description>
         <description lang="DE">Einstellungen für das On-Screen-Display</description>
         <action>SETTINGS OSD</action>
@@ -85,6 +86,7 @@
         <text>OSD Menu Editor</text>
         <text lang="HU">OSD menu szerkesztő</text>
         <text lang="DE">OSD-Menü anpassen</text>
+        <text lang="PL">Edytor menu ekranowego</text>
         <description lang="DE">Welche Menüpunkte sollen im OSD-Menü erscheinen?</description>
         <action>OSDMENUEDITOR</action>
     </button>
Index: mythtv/themes/classic/tv_search.xml
===================================================================
--- mythtv/themes/classic/tv_search.xml	(wersja 22520)
+++ mythtv/themes/classic/tv_search.xml	(kopia robocza)
@@ -209,7 +209,7 @@
         <type>TV_SEARCH_STORED</type>
         <text>Stored Searches</text>
         <text lang="SL">Shranjena iskanja</text>
-        <text lang="PL">Znaleziony zapamiętany</text>
+        <text lang="PL">Zachowane wyszukiwania</text>
         <text lang="HU">Tárolt keresések</text>
         <description>Results of searches you have saved</description>
         <description lang="DE">ältere Suchabfragen</description>
Index: mythtv/themes/classic/tvmenu.xml
===================================================================
--- mythtv/themes/classic/tvmenu.xml	(wersja 22520)
+++ mythtv/themes/classic/tvmenu.xml	(kopia robocza)
@@ -37,7 +37,7 @@
         <text lang="SL">Planiranje snemanj</text>
         <text lang="ET">Salvestamise plaanimine</text>
         <text lang="RU">Расписание записи</text>
-        <text lang="PL">Harmonogram nagrywania</text>
+        <text lang="PL">Harmonogram nagrań</text>
         <text lang="HU">Felvétel ütemezése</text>
         <alttext>Schedule</alttext>
         <alttext lang="IT">Pianifica</alttext>