Index: mythtv/themes/mediacentermenu/plugin_menu.xml
===================================================================
--- mythtv/themes/mediacentermenu/plugin_menu.xml	(wersja 22520)
+++ mythtv/themes/mediacentermenu/plugin_menu.xml	(kopia robocza)
@@ -130,7 +130,7 @@
         <text lang="NL">MythFlix</text>
         <text lang="ET">MythFlix</text>
         <text lang="SL">MythFlix</text>
-        <text lang="PL">Filmy z internetu</text>
+        <text lang="PL">NetFlix</text>
         <description>Manage your NetFlix queue</description>
         <description lang="DE"></description>
         <action>PLUGIN mythflix</action>
@@ -154,7 +154,7 @@
         <text lang="PT">Navegação Web</text>
         <text lang="NL">Internet</text>
         <text lang="RU">WWW</text>
-        <text lang="PL">Internet WWW</text>
+        <text lang="PL">Internet</text>
         <text lang="HE">אינטרנט</text>
         <description>Browse the web</description>
         <description lang="DE">Surfen Sie im Netz</description>
@@ -166,7 +166,7 @@
         <type>ZONEMINDER</type>
         <text>Zone Minder</text>
         <text lang="IT">Videosorveglianza</text>
-        <text lang="PL">Strażnik</text>
+        <text lang="PL">ZoneMinder</text>
         <text lang="FI">ZoneMinder</text>
         <text lang="DE">Videoüberwachung</text>
         <description>Home surveillance</description>
Index: mythtv/themes/mediacentermenu/recpriorities_settings.xml
===================================================================
--- mythtv/themes/mediacentermenu/recpriorities_settings.xml	(wersja 22520)
+++ mythtv/themes/mediacentermenu/recpriorities_settings.xml	(kopia robocza)
@@ -15,7 +15,7 @@
         <text lang="PT">Definir Prioridades de Gravação</text>
         <text lang="NL">Opnameprioriteiten Instellen</text>
         <text lang="RU">Установить приоритеты записей</text>
-        <text lang="PL">Ustaw priorytety nagrań</text>
+        <text lang="PL">Ustaw priorytety nagrywania</text>
         <text lang="HE">הגדרת קדימויות הקלטה</text>
         <alttext>Recording Priorities</alttext>
         <alttext lang="IT">Priorità</alttext>
@@ -72,6 +72,7 @@
         <text lang="IT">Personalizzate</text>
         <text lang="SL">Poljubne prioritete</text>
         <text lang="FI">Muokatut Prioriteetit</text>
+        <text lang="PL">Dostosowany priorytet</text>
         <alttext>Custom Priority</alttext>
         <description></description>
         <action>SETTINGS CUSTOMPRIORITY</action>
Index: mythtv/themes/mediacentermenu/tv_schedule.xml
===================================================================
--- mythtv/themes/mediacentermenu/tv_schedule.xml	(wersja 22520)
+++ mythtv/themes/mediacentermenu/tv_schedule.xml	(kopia robocza)
@@ -136,7 +136,7 @@
         <text lang="ES">Buscar Listas</text>
         <text lang="PT">Pesquisar Listas</text>
         <text lang="RU">Поиск по спискам</text>
-        <text lang="PL">Szukaj***listy</text>
+        <text lang="PL">Listy wyszukiwania</text>
         <text lang="HE">חיפוש רשימות</text>
         <alttext>Lists</alttext>
         <alttext lang="IT">Liste</alttext>
Index: mythtv/themes/mediacentermenu/mainmenu.xml
===================================================================
--- mythtv/themes/mediacentermenu/mainmenu.xml	(wersja 22520)
+++ mythtv/themes/mediacentermenu/mainmenu.xml	(kopia robocza)
@@ -17,7 +17,7 @@
         <text lang="SL">Gledanje snemanj</text>
         <text lang="ET">Salvestiste vaatamine</text>
         <text lang="RU">Смотреть записи</text>
-        <text lang="PL">Oglądanie nagrań</text>
+        <text lang="PL">Oglądaj nagrania</text>
         <text lang="HE">צפיה בהקלטות</text>
         <alttext lang="SV">Inspelningar</alttext>
         <alttext lang="ET">Salvestised</alttext>
@@ -45,7 +45,7 @@
         <text lang="SL">Gledanje filmov</text>
         <text lang="ET">Video vaatamine</text>
         <text lang="RU">Смотреть фильмы</text>
-        <text lang="PL">Oglądanie filmów</text>
+        <text lang="PL">Oglądaj filmy</text>
         <text lang="HE">צפיה בוידאו</text>
         <alttext lang="SV">Filmer</alttext>
         <alttext lang="ET">Video</alttext>
@@ -74,7 +74,7 @@
         <text lang="SL">Predvajaj DVD</text>
         <text lang="ET">Mängi DVD-d</text>
         <text lang="RU">Смотреть DVD</text>
-        <text lang="PL">Oglądanie DVD</text>
+        <text lang="PL">Oglądaj DVD</text>
         <text lang="HE">נגן DVD</text>
         <description>Play the video on a movie DVD</description>
         <description lang="DE">Einen Spielfim auf DVD ansehen</description>
@@ -100,7 +100,7 @@
         <text lang="ET">Vaata telerit</text>
         <text lang="RU">Смотреть ТВ</text>
         <text lang="AR">شاهد التلفاز</text>
-        <text lang="PL">Oglądanie TV</text>
+        <text lang="PL">Oglądaj TV</text>
         <text lang="HE">צפיה בטלויזיה</text>
         <description>Watch live television</description>
         <description lang="DE">Jetzt Fernsehen schauen</description>
@@ -144,6 +144,7 @@
     <button>
         <type>MENU_PLUGINS</type>
         <text>Plugins</text>
+        <text lang="PL">Wtyczki</text>
         <description>Other Plugins</description>
         <description lang="DE">Weitere Plugins</description>
         <action>MENU plugin_menu.xml</action>
@@ -153,6 +154,7 @@
         <type>MENU_ADVANCED</type>
         <text>Advanced</text>
         <text lang="DE">Erweitert</text>
+        <text lang="PL">Zaawansowane</text>
         <description>Advanced Options</description>
         <description lang="DE">Weitere Optionen</description>
         <action>MENU advanced.xml</action>
Index: mythtv/themes/mediacentermenu/tv_settings.xml
===================================================================
--- mythtv/themes/mediacentermenu/tv_settings.xml	(wersja 22520)
+++ mythtv/themes/mediacentermenu/tv_settings.xml	(kopia robocza)
@@ -69,6 +69,7 @@
         <text lang="SL">Predvajanje</text>
         <text lang="ET">Mahamängimine</text>
         <text lang="RU">Воспроизведение</text>
+        <text lang="PL">Odtwarzanie</text>
         <text lang="HE">הסרטה</text>
         <description>Settings for viewing and playing TV</description>
         <description lang="DE">Einstellungen zur TV-Wiedergabe</description>
@@ -82,6 +83,7 @@
         <text lang="HE">תצוגה בזמן הסרטה</text>
         <text lang="FI">OSD Asetukset</text>
         <text lang="DE">Wiedergabe-OSD</text>
+        <text lang="PL">Menu ekranowe</text>
         <description>Theme and settings for OSD</description>
         <description lang="DE">Einstellungen für das On-Screen-Display</description>
         <action>SETTINGS OSD</action>
@@ -91,6 +93,7 @@
         <type>TV_SETTINGS_OSD_MENU_EDITOR</type>
         <text>OSD Menu Editor</text>
         <text lang="DE">OSD-Menü anpassen</text>
+        <text lang="PL">Edytor menu ekranowego</text>
         <description lang="DE">Welche Menüpunkte sollen im OSD-Menü erscheinen?</description>
         <action>OSDMENUEDITOR</action>
   </button>
@@ -140,7 +143,7 @@
         <text lang="SL">Snemalni profili</text>
         <text lang="ET">Salvestamisprofiilid</text>
         <text lang="RU">Профили записей</text>
-        <text lang="PL">Profil nagrywania</text>
+        <text lang="PL">Profile nagrywania</text>
         <text lang="HE">פרופילים להקלטה</text>
         <alttext lang="SV">Inspelning</alttext>
         <alttext lang="DE">Profile</alttext>
@@ -169,7 +172,7 @@
         <text lang="PT">Prioridades de Gravação</text>
         <text lang="NL">Opnameprioriteiten</text>
         <text lang="RU">Приоритеты записей</text>
-        <text lang="PL">Priorytety nagrań</text>
+        <text lang="PL">Priorytety nagrywania</text>
         <text lang="HE">קדימויות הקלטה</text>
         <alttext lang="DE">Prioritäten</alttext>
         <alttext lang="ET">Prioriteedid</alttext>
Index: mythtv/themes/mediacentermenu/tv_search.xml
===================================================================
--- mythtv/themes/mediacentermenu/tv_search.xml	(wersja 22520)
+++ mythtv/themes/mediacentermenu/tv_search.xml	(kopia robocza)
@@ -104,6 +104,7 @@
         <text lang="HE">חיפושים שמורים</text>
         <text lang="FI">Tallennetut Haut</text>
         <text lang="DE">Gespeicherte Suche</text>
+        <text lang="PL">Zachowane wyszukiwania</text>
         <description>Results of searches you have saved</description>
         <description lang="DE">ältere Suchabfragen</description>
         <action>TV_SEARCH_STORED</action>
Index: mythtv/themes/mediacentermenu/media_settings.xml
===================================================================
--- mythtv/themes/mediacentermenu/media_settings.xml	(wersja 22520)
+++ mythtv/themes/mediacentermenu/media_settings.xml	(kopia robocza)
@@ -149,7 +149,7 @@
         <text lang="RU">Настройки архива</text>
         <text lang="DA">Fil Arkivering</text>
         <text lang="SL">Nastavitve arhiviranja</text>
-        <text lang="PL">Ustaw pliki archiwum</text>
+        <text lang="PL">Ustaw archiwizację</text>
         <text lang="HE">הגדרות ארכיון קבצים</text>
         <text lang="FI">Arkistointiasetukset</text>
         <text lang="DE">Archivieren</text>
Index: mythtv/themes/mediacentermenu/optical_menu.xml
===================================================================
--- mythtv/themes/mediacentermenu/optical_menu.xml	(wersja 22520)
+++ mythtv/themes/mediacentermenu/optical_menu.xml	(kopia robocza)
@@ -17,7 +17,7 @@
         <text lang="SL">Predvajaj DVD</text>
         <text lang="ET">Mängi DVD-d</text>
         <text lang="RU">Смотреть DVD</text>
-        <text lang="PL">Oglądanie DVD</text>
+        <text lang="PL">Odtwarzaj DVD</text>
         <text lang="HE">נגן DVD</text>
         <description>Play the video on a movie DVD</description>
         <description lang="DE">Einen Spielfim auf DVD ansehen</description>
@@ -42,7 +42,7 @@
         <text lang="SL">Predvajaj VCD</text>
         <text lang="ET">Mängi VCD-d</text>
         <text lang="RU">Смотреть VCD</text>
-        <text lang="PL">Oglądanie VCD</text>
+        <text lang="PL">Odtwarzaj VCD</text>
         <text lang="HE">נגן VCD</text>
         <description>Play the video on a VCD</description>
         <description lang="DE">Ein Video auf einer VCD ansehen</description>
@@ -67,7 +67,7 @@
         <text lang="SL">DVD rip</text>
         <text lang="ET">DVD rippimine</text>
         <text lang="RU">Импортировать DVD</text>
-        <text lang="PL">Importowanie DVD</text>
+        <text lang="PL">Importuj DVD</text>
         <text lang="HE">יבא DVD</text>
         <description>Import video from a movie DVD</description>
         <description lang="DE">Einen Film von DVD importieren</description>
@@ -88,7 +88,7 @@
         <text lang="ET">Arhiveerimine</text>
         <text lang="DE">Dateien archivieren</text>
         <text lang="SL">Arhiviranje datotek</text>
-        <text lang="PL">Archiwalne pliki</text>
+        <text lang="PL">Archiwizuj pliki</text>
         <text lang="HE">צרוב CD/DVD</text>
         <description>Write video to a data DVD</description>
         <description lang="DE">Ein Video auf Daten-DVD brennen</description>
@@ -113,9 +113,9 @@
         <text lang="SL">CD rip</text>
         <text lang="ET">CD rippimine</text>
         <text lang="RU">Импортировать CD</text>
+        <text lang="PL">Importuj CD</text>
         <text lang="HE">יבא CD</text>
         <text lang="ET">Meedia väljastamine</text>
-        <text lang="PL">Importowanie CD</text>
         <description>Import music from an audio CD</description>
         <description lang="DE">Musik von einer Audio-CD importieren</description>
         <action>JUMP Rip CD</action>